
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

module DownloadableController
  extend ActiveSupport::Concern

  # GET /learning_objects/1/download
  def download
    downloadable.download(current_user, request.remote_ip)
    link = downloadable.download_link
    if !link.blank?
      redirect_to link
    else
      render status: :internal_server_error
    end
  end

  protected

  def downloadable
    raise NotImplementedError
  end

end
