
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class V1::LearningObjects::PublishesController < ApplicationController
  before_action :set_learning_object
  before_action :authorize!

  # POST /learning_objects/:id/publish
  def create
    return render status: :ok if @learning_object.published?

    publisher = LearningObjectPublisher.new(DspaceService.create_client)
    publisher.publish @learning_object

    render status: :ok
  end

  private

  # Use callbacks to share common setup or constraints between actions.
  def set_learning_object
    @learning_object = LearningObject.find(params[:id])
  end

  def authorize!
    authorize(@learning_object, :publish?)
  end

  # Never trust parameters from the scary internet, only allow the white list through.
  def publish_params
    params.permit(:id)
  end
end
