
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

# == Schema Information
#
# Table name: institutions
#
#  id          :integer          not null, primary key
#  name        :string
#  address     :string
#  city        :string
#  country     :string
#  description :text
#  created_at  :datetime         not null
#  updated_at  :datetime         not null
#

class Institution < ApplicationRecord
  include Tagger
  include Trackable
  include Publisher

  has_and_belongs_to_many :users
  #has_many :learning_objects, as: :publisher
  #has_many :collections, as: :owner

  has_attached_file :avatar, styles: { medium: '300x300>', thumb: '60x60>' }, default_url: ''
  validates_attachment_content_type :avatar, content_type: ['image/jpg', 'image/jpeg', 'image/png', 'image/gif']

  validates_presence_of :name

  acts_as_paranoid
  has_paper_trail
end
