
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

# == Schema Information
#
# Table name: review_ratings
#
#  id         :integer          not null, primary key
#  review_id  :integer
#  rating_id  :integer
#  value      :integer
#  created_at :datetime         not null
#  updated_at :datetime         not null
#

class ReviewRating < ApplicationRecord
  belongs_to :review
  belongs_to :rating

  validates_inclusion_of :value, in: Array(1..5), message: 'Review Rating must be between 1 and 5.'
  validates_presence_of :rating
  validates_uniqueness_of :rating, scope: :review

  def self.default_names
    ['Perda de Tempo', 'Ruim', 'Razoável', 'Muito Bom', 'Excelente']
  end
end
