
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

module PublisherPolicy

  class Scope < ApplicationPolicy::Scope
    attr_reader :user, :record, :scope

    def initialize(user, record, scope)
      @user = user
      @record = user
      @scope = scope
    end

    def resolve
      if user.nil?
        scope.where(privacy: 'public')
      elsif user_can_edit? || record == user
        scope.all
      else
        scope.where(privacy: 'public')
      end
    end
  end

  def show_all_drafts?
    record if same_user? || user_can_edit?
  end

  def show_liked_learning_objects?
    record if same_user? || user_can_edit?
  end

  def show_liked_collections?
    record if same_user? || user_can_edit?
  end

  def same_user?
    record == user
  end
end
