
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class ReviewSerializer < ActiveModel::Serializer
  cache key: 'review', expires_in: 24.hours

  def rating_average
    object.rating_average
  end

  def rated
    object.rated?(current_user)
  end

  def approves
    object.user_approves? current_user
  end

  attributes :id, :name, :description, :pros, :cons, :rating_average, :rates_count, :created_at, :updated_at, :reviewable, :reviewable_type, :rated, :approves
  has_many :review_ratings
  belongs_to :user
end
