
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

class UserSerializer < ActiveModel::Serializer
  cache key: 'user', expires_in: 4.hours, except: [ :complained, :followed ]

  def complained
    object.complained? current_user
  end

  def followed
    current_user.try( :following?, object)
  end

  def email
    object.email if (current_user != nil)&&(object.id == current_user.id || current_user.is_admin?)
  end

  def learning_objects_count
    object.learning_objects.where('state = ?', LearningObject.states[:published]).count
  end

  attributes :id, :email, :provider, :name, :description, :submitter_request, :education, :score, :cover, :role_ids, :institution_ids, :avatar, :likes_count, :followed, :complained, :follows_count, :learning_objects_count, :collections_count, :created_at, :updated_at
  has_many :subjects
end
