
# Copyright (C) 2015 Centro de Computacao Cientifica e Software Livre
# Departamento de Informatica - Universidade Federal do Parana
#
# This file is part of portalmec.
#
# portalmec is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# portalmec is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with portalmec.  If not, see <http://www.gnu.org/licenses/>.

module SearchService
  class User < Model
    def search
      ::User.search(body: mount_query, order: order_hash, page: @search.page, per_page: @search.results_per_page)
    end

    def autocomplete
      result = ::User.search(@search.query, autocomplete_params.merge(fields: ['name']))

      thumbnail = proc { |obj| obj.avatar.url(:thumb) }
      type = proc { |_obj| 'User' }
      autocomplete_render(result, type, thumbnail)
    end

    private

    def search_fields
      [:name]
    end

    def order_hash
      return { name: { order: :asc, unmapped_type: :string } } if @search.order == 'title'
      "_score"
    end
  end
end
